
var angular = require('angular');
var _ = require('jsUtil');
require('../modules');

var module = angular.module('flow.directives');

module.directive('sinoNotionEditButton', function(CommonService, $q, $toast, NotionService, CommonNotionService,
  LinkerService) {
  
  return {
    restrict: 'E',
    replace: true,
    templateUrl: 'views/flow/directives/sinoNotionEditButton.tpl.html',
    scope: {
      onEdit: '&'
    },
    link: function(scope, ele, attrs) {
      (function() {
        scope.title = attrs.title || '签字';
      })();
    }
  };
});
